Description

Check what happens with the old registers when changing dispensings configuration. From dispensing by patient to consolidated

dispensing and vice-versa.

History

#1 - 10/04/2013 06:23 PM - Maurício Dos Santos

- Status changed from In Progress to New

#2 - 10/08/2013 09:02 AM - Maurício Dos Santos

- Status changed from New to In Progress

#3 - 10/08/2013 04:54 PM - Maurício Dos Santos

Test done.

Unit used: Savar UHC

Test 1: Register one consolidated dispensing.

- The medicine control has been initialized.

- The unit was configured to do consolidated dispensings .

- It was registered one dispensing to 03/09/2013 of 4 Am.

Result: This register appears at dispensing history and on movements page.

Test 2: Change to dispensing by patient.

- The configuration of the tbunit was modified to do dispensings by patients.

Result: The consolidated dispensing registered before doesn't appears in dispensing history, but appears on movements page.

Test 3: Register a dispensing by patient

- It was registered a dispensing to a patient (case number: 430) for the date 04/09/2013 of 10 Am.

Result: Both dispensings appears on movements page. But only the patient dispense appears on dispensing history.

Test 4: Go back to consolidated dispensings

- The configuration of the tbunit was modified to do consolidated dispensings.

Result 1: On the dispensing history page it counts both dispensings (consolidated and by patient). But it don't shows the

consolidated quantity, the patient details isn't being displayed.

Result 2: On movements page both dispenses are being displayed and the show details link is showing the patients for the

dispensing by patient, and is showing an empty window for the consolidated dispensing.

Obs: The show details link is appearing according to the tbunit configuration and not the dispensing type.

Conclusion:

Modify (again) the parameter to show the show details link. this links has to appear when the movement is from a

dispensing by patient, and not when the tbunit is configured to do dispensings by patients.

Modify the dispensing history to support both types of dispensings. I need a conference call with Gustavo to discuss the

possibilities.
#4 - 12/12/2013 03:18 PM - Maurício Dos Santos

Done.

#5 - 12/12/2013 03:18 PM - Maurício Dos Santos

- Status changed from In Progress to Resolved

#6 - 09/24/2016 08:37 PM - Ricardo Memoria

- Status changed from Resolved to Closed
